import 'package:flutter/material.dart';
import 'package:flutter_application_1/data/use_cases/login_use_case.dart';
import 'package:flutter_application_1/ui%20/%20screens/login_screen.dart';
import 'package:flutter_application_1/ui%20/%20screens/login_viewmodel.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Purple Giraffe - Flutter Avancé',
      theme: ThemeData(
        primarySwatch: Colors.blue,
        // colorScheme: ColorScheme.fromSeed(seedColor: Colors.deepPurple),
        // useMaterial3: true,
      ),
      home: LoginScreen(LoginViewModel(LoginUseCases())),
    );
  }
}

